org.apache.tinkerpop.gremlin.process.traversal.step.map

## Enum MatchStep.TraversalType

- java.lang.Object
- - java.lang.Enum<MatchStep.TraversalType>
  - - org.apache.tinkerpop.gremlin.process.traversal.step.map.MatchStep.TraversalType

- All Implemented Interfaces:
    Serializable, Comparable<MatchStep.TraversalType>
  Enclosing class:
    MatchStep<S,E>

      public static enum MatchStep.TraversalType
      extends Enum<MatchStep.TraversalType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MATCH_TRAVERSAL`
    `WHERE_PREDICATE`
    `WHERE_TRAVERSAL`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MatchStep.TraversalType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MatchStep.TraversalType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WHERE_PREDICATE

          public static final MatchStep.TraversalType WHERE_PREDICATE

    - #### WHERE_TRAVERSAL

          public static final MatchStep.TraversalType WHERE_TRAVERSAL

    - #### MATCH_TRAVERSAL

          public static final MatchStep.TraversalType MATCH_TRAVERSAL

  - ### Method Detail

    - #### values

          public static MatchStep.TraversalType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MatchStep.TraversalType c : MatchStep.TraversalType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MatchStep.TraversalType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.